--[[
function CreateWnd(self, hostWndTemplateID, treeTemplateID, parentWnd, onBindFunc, OnDestroyFunc)
	local hostwndManager = XLGetObject("Xunlei.UIEngine.HostWndManager")
	local hostWndID = hostWndTemplateID..".Instance"
	local wnd = hostwndManager:GetHostWnd(hostWndID)
	if wnd then
		wnd:Restore()
		return
	end
	
	--创建HostWnd
	local templateMananger = XLGetObject("Xunlei.UIEngine.TemplateManager")
	local frameHostWndTemplate = templateMananger:GetTemplate(hostWndTemplateID,"HostWndTemplate")
	if frameHostWndTemplate == nil then
		return nil 
	end

	--local hostWndID = hostWndTemplateID..".Instance"
	local frameHostWnd = frameHostWndTemplate:CreateInstance(hostWndID)
	if frameHostWnd == nil then
		return nil 
	end

	--创建ObjectTree
	local objectTreeTemplate = templateMananger:GetTemplate(treeTemplateID,"ObjectTreeTemplate")
	if objectTreeTemplate == nil then
		return nil 
	end

	local objectTreeID = treeTemplateID..".Instance"
	local uiObjectTree = objectTreeTemplate:CreateInstance(objectTreeID)
	if uiObjectTree == nil then
		return nil
	end

	--绑定Object到HostWnd
	frameHostWnd:BindUIObjectTree(uiObjectTree)

	if onBindFunc ~= nil then
		onBindFunc(frameHostWnd, uiObjectTree)
	end

	--设置主窗口为父窗口
	--local hostwndManager = XLGetObject("Xunlei.UIEngine.HostWndManager")
	if parentWnd == nil then
		parentWnd = hostwndManager:GetHostWnd("Thunder.MainFrame")
	end

	--弹出面板
	local ret = frameHostWnd:Create(parentWnd:GetWndHandle())
	--[[
	--解除绑定
	frameHostWnd:UnbindUIObjectTree()

	--销毁ObjectTree
	local objtreeManager = XLGetObject("Xunlei.UIEngine.TreeManager")
	objtreeManager:DestroyTree(uiObjectTree)

	--销毁HostWnd
	hostwndManager:RemoveHostWnd(hostWndID)
	
	return ret
	--]]
end
--]]
--CreateWnd(self, "XLDoctorRepairDlg", "RepairDlgTree", nil, nil, nil)

--加载不弹框
